<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:common="http://common.bitel.ru">
	<xsl:import href="layout.xsl" />
	
<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '1'">
			Пополнение счета через BVCom
		</xsl:when>
		<xsl:when test="data/@action = 'BVCom'">
			Список платежей BVCom
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="/data">
	<xsl:choose>
		<xsl:when test="@action = 'BVCom'">
			<xsl:choose>
				<xsl:when  test="common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '1'">
					<xsl:call-template name="BVComPay" />
				</xsl:when>
				<xsl:when  test="common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '2'">
					<xsl:call-template name="BVComConfirm" />
				</xsl:when>
				<xsl:when  test="common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '3'">
					<xsl:call-template name="BVComPay" />
				</xsl:when>
				<xsl:when  test="common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '4'">
					<xsl:call-template name="BVComConfirm" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="BVCOM" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<!-- Вывод платежей  -->
<xsl:template name="BVCOM">
	<form method="get" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="monthFilter"/>
	</form>
			
	<table class="layout">
		<tr><td>		
			<table class="table800">
				<thead>
				  <tr>
					<td>Номер</td>
					<td>Сумма</td>
					<td>Статус</td>
					<td>Дата/время оплаты</td>
		 			</tr>
					</thead>
					<tbody>
		 				<xsl:for-each select="common:result/data/item">
		 					<tr>
		 						<td>
		 							<xsl:value-of select="@id" />
		 						</td>
		 						<td>
		 							<xsl:value-of select="@summa" />
		 						</td>
		 						<td>
		 						<xsl:variable name="st"><xsl:value-of select="@status" /></xsl:variable>
		 							<xsl:for-each select="/data/common:result/attributes/item[@key='status_list']/value/item">
		 								<xsl:if test="@id=$st"><xsl:value-of select="@title" /></xsl:if>
		 							</xsl:for-each>
		 						</td>
		 						<td>
		 							<xsl:value-of select="@endTime" />
		 						</td>
		 					</tr>
		 				</xsl:for-each>
		 			
					</tbody>
			</table>
		</td></tr>	
		<tr><td style="text-align: right;">
			<form method="get">
				<xsl:call-template name="action"/>
				<input type="hidden" name="operation" value="pay" />
				
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Пополнить счет'"/>
				</xsl:call-template>
			</form>
		</td></tr>
	</table>	
</xsl:template>

<!-- первый этап оплаты: ввод суммы -->	
<xsl:template name="BVComPay">
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="module" />
		<xsl:call-template name="action" />
		<input type="hidden" name="operation" value="pay" />
		
		<!-- Формочка с балансом и суммой для оплаты -->
		<table class="layout">
			<tr>
				<td>Текущий баланс:</td>
				<td><b><xsl:value-of select="common:result/attributes/item[@key='balance']/value/text()"/></b></td>
			</tr>
			<tr>
				<td>Введите сумму для оплаты:</td>
				<td><input type="text" name="summa" size="13" /></td>
			</tr>
			<tr class="foot">
				<td colspan="2">
					<xsl:call-template name="okCancel">
						<xsl:with-param name="title1" select="'Далее'"/>
						<xsl:with-param name="onclick2">
							window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=BVCom&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');
						</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
	</form>
</xsl:template>
	
<!-- ВТорой этап: подтверждение платежа и перенаправление на сайт оплаты -->
<xsl:template name="BVComConfirm">
	<!-- Подтверждение и перенаправление на сайт http://payment.bvcom.ru/ -->
	
	<xsl:if test="common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '2'">
		<form method="post" action="http://payment.bvcom.ru/" accept-charset="utf-8">
			
			<input type="hidden" name="client"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='client']/value/text()" /></xsl:attribute></input>
			<input type="hidden" name="number"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='number']/value/text()" /></xsl:attribute></input>
			<input type="hidden" name="amount"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='amount']/value/text()" /></xsl:attribute></input>
			<input type="hidden" name="sign"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='sign']/value/text()" /></xsl:attribute></input>
			<input type="hidden" name="currency"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='currency']/value/text()" /></xsl:attribute></input>
			<input type="hidden" name="url"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='url']/value/text()" /></xsl:attribute></input>				
			
			<table class="layout">
				<tr>
					<td>Нажмите "Далее" для перехода к системе BVCom и продолжения проведения оплаты.</td>
				</tr>
				<tr class="foot">
					<td>
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="'Далее'"/>
							<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=BVCom&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
			</table>
		</form>
	</xsl:if>
	
	<!-- Форма для 2й версии протокола -->
	<xsl:if test="common:result/attributes/item[@key = 'bvc_pay' ]/value/text() = '4'">
		<form method="post" action="{$WEBEXECUTER}">
			<xsl:call-template name="module" />
			<xsl:call-template name="action" />
			<input type="hidden" name="operation" value="redirect" />
			
			<input type="hidden" name="client_orderid"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='client_orderid']/value/text()" /></xsl:attribute></input>
			<input type="hidden" name="amount"><xsl:attribute name="value"><xsl:value-of select="common:result/attributes/item[@key='amount']/value/text()" /></xsl:attribute></input>
			
			<table class="layout">
				<tr>
					<td>Нажмите "Далее" для перехода к системе BVCom и продолжения проведения оплаты.</td>
				</tr>
				<tr class="foot">
					<td>
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="'Далее'"/>
							<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=BVCom&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
			</table>
		</form>
	</xsl:if>
	
</xsl:template>
	
<!-- Свой шаблон для фильтра месяцев TODO костыль, велосипед, юзать стандартный -->	
<xsl:template name="monthFilter">
	<table border='0' cellspacing="0" class="filter">
	  <tr>
		<td>Месяц:</td>
		<td><select class="gradbtn " name='month'>
				<xsl:call-template name="month_list"/>
		</select></td>
		<td>Год:</td>
		<td><select class="gradbtn " name='year'>
			  	<xsl:call-template name="year_list"/>
		</select></td>
		<td>
			<select class="gradbtn " name='status'>
				<option value="1">
					<xsl:if test="/data/common:result/attributes/item[@key='status']/value/text()=1">
						<xsl:attribute name="selected">1</xsl:attribute>
					</xsl:if>
					проведенные
				</option>
				<option value="0">
					<xsl:if test="/data/common:result/attributes/item[@key='status']/value/text()=0">
						<xsl:attribute name="selected">1</xsl:attribute>
					</xsl:if>
					непроведенные
				</option>
				<option value="7">
					<xsl:if test="/data/common:result/attributes/item[@key='status']/value/text()=7">
						<xsl:attribute name="selected">1</xsl:attribute>
					</xsl:if>
					возвращенные
				</option>
				<option value="-1">
					<xsl:if test="/data/common:result/attributes/item[@key='status']/value/text()=-1">
						<xsl:attribute name="selected">1</xsl:attribute>
					</xsl:if>
					все
				</option>
			</select>
		</td>
		<td>
			<xsl:call-template name="submit">
				<xsl:with-param name="title" select="'Вывести'"/>
			</xsl:call-template>
		</td>
	  </tr>
	</table>
</xsl:template>
	
</xsl:stylesheet>